Update Concurrency Limit V2
curl --request PATCH \
--url https://api.example.com/v2/concurrency_limits/{id_or_name} \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"name": "<string>",
"limit": 1,
"active_slots": 1,
"denied_slots": 1,
"slot_decay_per_second": 1
}
'import requests
url = "https://api.example.com/v2/concurrency_limits/{id_or_name}"
payload = {
"active": True,
"name": "<string>",
"limit": 1,
"active_slots": 1,
"denied_slots": 1,
"slot_decay_per_second": 1
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
name: '<string>',
limit: 1,
active_slots: 1,
denied_slots: 1,
slot_decay_per_second: 1
})
};
fetch('https://api.example.com/v2/concurrency_limits/{id_or_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Concurrency Limits V2
Update Concurrency Limit V2
PATCH
/
v2
/
concurrency_limits
/
{id_or_name}
Update Concurrency Limit V2
Headers
Path Parameters
The ID or name of the concurrency limit
Body
application/json
Data used by the Prefect REST API to update a v2 concurrency limit.
Response
Successful Response
Was this page helpful?
⌘I